import React from 'react'
import List from '@mui/material/List'
import { connect } from 'react-redux'
import './ChatList.scss'

import { CChat } from '..'

const ChatList = ({ chats = [], currChatId }) => {
    return (
        <List className="chatsWrapper">
            <div>
                {chats.map((chat) => (
                    <CChat
                        key={chat._id}
                        chat={chat}
                        currChat={currChatId === chat._id}
                        lv={chat.lastVizited}
                    />
                ))}
            </div>
        </List>
    )
}
export const CChatList = connect((state) => ({
    chats: Object.values(state.chats).filter((el) => !!el._id),
}))(ChatList)
