import React, { useState } from 'react'
import IconButton from '@mui/material/IconButton'
import MoreVertIcon from '@mui/icons-material/MoreVert'
import Menu from '@mui/material/Menu'
import MenuItem from '@mui/material/MenuItem'
import { connect } from 'react-redux'
import './ChatMngHeader.scss'

import { removeUserChat } from '../../actions'

const ChatMenu = ({ chatId, onLeave }) => {
    const [anchorEl, setAnchorEl] = useState(null)
    const open = !!anchorEl

    const handleClick = (event) => {
        setAnchorEl(event.currentTarget)
    }

    const handleClose = () => {
        setAnchorEl(null)
    }

    return (
        <>
            <IconButton style={{ color: '#fff' }} onClick={handleClick}>
                <MoreVertIcon />
            </IconButton>

            <Menu anchorEl={anchorEl} open={open} onClose={handleClose}>
                <MenuItem onClick={handleClose}>Что то сделать</MenuItem>

                <MenuItem onClick={() => onLeave(chatId)}>
                    Покинуть чат
                </MenuItem>
            </Menu>
        </>
    )
}
export const CChatMenu = connect(null, { onLeave: removeUserChat })(ChatMenu)
