import React from 'react'
import Box from '@mui/material/Box'
import Typography from '@mui/material/Typography'
import { connect } from 'react-redux'
import './MainMenu.scss'

import { CMyAvatar } from '..'

const AboutMe = ({ myProfile }) => {
    const { login, nick } = myProfile
    return (
        <>
            <Box className="aboutMe">
                <Box className="avatarInModal myAvatar">
                    <CMyAvatar bigSize={true} />
                </Box>

                <Box className="nickBlock">
                    <Typography
                        component="h6"
                        variant="h6"
                        className="nickText"
                    >
                        {nick}
                    </Typography>
                </Box>

                <Box className="loginBlock">
                    <Typography variant="body" className="loginText">
                        {login}
                    </Typography>
                </Box>
            </Box>
        </>
    )
}
export const CAboutMe = connect((state) => ({
    myProfile: state.promise.myProfile?.payload || {},
}))(AboutMe)
