import React, { useState } from 'react'
import IconButton from '@mui/material/IconButton'
import MenuIcon from '@mui/icons-material/Menu'
import Drawer from '@mui/material/Drawer'
import Box from '@mui/material/Box'
import List from '@mui/material/List'
import Divider from '@mui/material/Divider'
import ListItem from '@mui/material/ListItem'
import ListItemText from '@mui/material/ListItemText'
import './MainMenu.scss'

import { CAboutMe } from './AboutMe'
import { CLogoutBtn } from './LogoutBtn'
import { CProfileModal } from '..'

export const MenuDrawer = () => {
    const [state, setState] = useState(false)
    const open = !!state

    const toggleDrawer = (open) => (event) => {
        if (
            event.type === 'keydown' &&
            (event.key === 'Tab' || event.key === 'Shift')
        ) {
            return
        }
        setState(open)
    }

    return (
        <div>
            <IconButton
                edge="start"
                color="inherit"
                sx={{ mr: 1 }}
                onClick={toggleDrawer(true)}
            >
                <MenuIcon />
            </IconButton>

            <Drawer open={open} onClose={toggleDrawer(false)}>
                <Box className="menuBox" role="presentation">
                    <CAboutMe />

                    <List>
                        <CProfileModal />

                        <ListItem button>
                            <ListItemText primary={'Контакты'} />
                        </ListItem>

                        <Divider />

                        <CLogoutBtn />
                    </List>
                </Box>
            </Drawer>
        </div>
    )
}
