import React from 'react'
import { connect } from 'react-redux'
import './MsgList.scss'

import { CMsg } from '..'

const MsgList = ({ chats, chatId, onEdit }) => {
    const msgArr = chats[chatId]?.messages

    return (
        <div className="msgsWrapper">
            {msgArr ? (
                msgArr.map((msg) => (
                    <CMsg
                        key={msg.nextMsg?._id || null}
                        msg={msg}
                        onEdit={onEdit}
                    />
                ))
            ) : (
                <div>сообщений нет</div>
            )}
        </div>
    )
}
export const CMsgList = connect((state) => ({ chats: state.chats }))(MsgList)
