import React from 'react'
import { linkRegEx, youtubeRegEx } from '../constants'

export const decorateLinks = (text) => {
    const matchLink = text.match(linkRegEx)
    const matchYoutube = text.match(youtubeRegEx)

    if (matchLink) {
        const [link] = matchLink
        if (link) {
            const newLink = (
                <a href={link} style="color:blue">
                    {link}
                </a>
            )
            let newText = null
            newText = text.replace(link, newLink)
            if (matchYoutube) {
                const [, youtubeKey] = matchYoutube

                if (youtubeKey) {
                    return (
                        <>
                            <pre>{newText}</pre> <br />{' '}
                            <iframe
                                width="560"
                                height="315"
                                src="https://www.youtube.com/embed/${youtubeKey}"
                                title="YouTube video player"
                                frameBorder="0"
                                allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; 
                        picture-in-picture"
                                allowFullScreen
                            ></iframe>
                        </>
                    )
                }
            } else {
                return <pre>{newText}</pre>
            }
        }
    } else {
        return <pre>{text}</pre>
    }
}
