import React, { useState, useEffect, useRef } from 'react'
import { connect } from 'react-redux'

import './MsgPage.scss'
import {
    Header,
    CChatMngHeader,
    CMsgList,
    CSendingField,
} from '../../components'

import { actionFullMsgsByChat } from '../../actions'
import { actionChatOne } from '../../reducers'

const MsgBlock = ({ chatId, getMsgs, setLastVizited, msgsCount = 20 }) => {
    const [msgToEdit, setmMsgToEdit] = useState()

    const [msgsBlock, setMsgsBlock] = useState(0)

    const divRef = useRef(null)

    useEffect(() => {
        getMsgs(chatId, msgsBlock, msgsCount)
    }, [msgsBlock])

    useEffect(() => {
        // console.log(chatId, "МАУНТ СООБЩЕНИЙ")
        const date = new Date().getTime()
        setLastVizited({
            _id: chatId,
            lastVizited: date,
        })

        return () => {
            // console.log(chatId, "АНМАУНТ СООБЩЕНИЙ")
            const date = new Date().getTime()
            setLastVizited({
                _id: chatId,
                lastVizited: date,
            })
        }
    }, [chatId])

    // lastVizited: (Math.ceil((new Date()).getTime()/1000).toString(16) + '0'.repeat(16) )

    return (
        <>
            <div className="msgPageContainer">
                <div className="msgPageHeader">
                    <Header>
                        <CChatMngHeader chatId={chatId} />
                    </Header>
                </div>

                <div className="msgPageBody">
                    <div
                        className="msgs"
                        ref={divRef}
                        onScroll={(e) => {
                            if (
                                e.target.scrollTop * -1 >=
                                e.target.scrollHeight - e.target.clientHeight
                            ) {
                                setMsgsBlock(
                                    (msgsBlock) => msgsBlock + msgsCount
                                )
                            }
                        }}
                    >
                        <CMsgList chatId={chatId} onEdit={setmMsgToEdit} />
                    </div>

                    <div className="msgSend">
                        <CSendingField chatId={chatId} msg={msgToEdit} />
                    </div>
                </div>
            </div>
        </>
    )
}
export const CMsgBlock = connect(null, {
    getMsgs: actionFullMsgsByChat,
    setLastVizited: actionChatOne,
})(MsgBlock)
